// -*- c++ -*-

#ifndef BRUSH_H
#define BRUSH_H

#include <qpixmap.h>
#include "tool.h"


class PasteTool : public Tool
{
Q_OBJECT
public:
PasteTool(const QString & toolname);
  /*  virtual ~AreaSelect(); */
  virtual void mousePressEvent(QMouseEvent *e);
  virtual void mouseMoveEvent(QMouseEvent *e);
  virtual void mouseReleaseEvent(QMouseEvent *e);

public slots:
 
protected:
  virtual void activating();
  virtual void deactivating();
  virtual void timerEvent(QTimerEvent *);
  virtual QPixmap pixmap() const;

private:
  void drawFrame();

  int startx, starty;
  int lastx, lasty;
  bool drawing, showedSF;
  bool noContent;
};

#endif // BRUSH_H

